
QGIS Application - Feature request #1167

SLD support in conjunction with WMS

2008-07-18 02:01 AM - Horst Düster

Status: Open

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 11227

Description

It would be very helpful and very nice to have the option to define a SLD-URL in conjunction with WMS connection info.

History

#1 - 2008-09-01 07:30 PM - frdcn -

It would nice to have support for sld_body, this way styling for wms layers could be made directly in qgis using the style editor and eliminating the

requirement to store the style file in a public visible ip address.

#2 - 2009-06-10 09:12 PM - springmeyer -

See also: #1726

#3 - 2009-07-20 11:09 AM - Redmine Admin

- Status changed from Open to In Progress

#4 - 2009-07-25 04:07 PM - Tim Sutton

Got this when trying to build your patch against .

sipcoreQgsRasterLayer.cpp: In function ‘PyObject* meth_QgsRasterLayer_setDataProvider(PyObject*, [[PyObject]]*)’:

sipcoreQgsRasterLayer.cpp:1794: error: no matching function for call to ‘QgsRasterLayer::setDataProvider(const QString&, const QStringList&, const

QStringList&, const QString&, const QString&)’

/home/timlinux/dev/cpp/qgis/src/core/raster/qgsrasterlayer.h:374: note: candidates are: void [[QgsRasterLayer]]::setDataProvider(const QString&, const

QStringList&, const QStringList&, const QString&, const QString&, const QString&, const QString&)

maker3: * [sipcoreQgsRasterLayer.o] Error 1

maker2:  [python/core/core.so] Error 2

maker1: ** [python/CMakeFiles/python.dir/all] Error 2

Regards

Tim

#5 - 2009-08-11 06:14 PM - Redmine Admin

Sorry, I didn't build with python and didn't update the bindings, I will fix this and upload a new patch.

Regards
Godofredo Contreras

#6 - 2011-05-11 12:02 AM - Paolo Cavallini

Any reason not to apply this to 1.8?

#7 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#8 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#9 - 2012-10-05 01:12 PM - Paolo Cavallini

- Assignee changed from Redmine Admin to Giuseppe Sucameli

- Pull Request or Patch supplied set to No

#10 - 2012-10-05 05:32 PM - Giuseppe Sucameli

- Status changed from In Progress to Open

- Assignee deleted (Giuseppe Sucameli)

- Priority changed from Low to Normal

Support for sld_body is still missing.

There was a lot of changes to providers classes from the day the attached patches was written, it's unlikely that they can still be applied.

#11 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#12 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#13 - 2018-05-24 02:54 PM - google flights

This way styling for was layers could be made directly in qgis using the style editor and eliminating the requirement to store the style file in a publicly visible

IP address. Find cheap flights in seconds, explore destinations on a map, and sign up for fare alerts on https://bookgoogleflights.tumblr.com/

Files

sldpatch.patch 26 KB 2009-07-22 Redmine Admin

sldpatch_18_08_09.patch 75.5 KB 2009-08-17 Redmine Admin
